"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CollectionsEndpoint = void 0;
const utils_1 = require("../utils");
const base_1 = require("./base");
const BASE_COLLECTION = '/collection';
class CollectionsEndpoint extends base_1.BaseEndpoint {
    constructor(accessToken) {
        super(accessToken);
        this.accessToken = accessToken;
    }
    async details(id, options) {
        const params = (0, utils_1.parseOptions)(options);
        return await this.api.get(`${BASE_COLLECTION}/${id}?${params}`);
    }
    async images(id, options) {
        const params = (0, utils_1.parseOptions)(options);
        return await this.api.get(`${BASE_COLLECTION}/${id}/images?${params}`);
    }
    async translations(id, options) {
        const params = (0, utils_1.parseOptions)(options);
        return await this.api.get(`${BASE_COLLECTION}/${id}/translations?${params}`);
    }
}
exports.CollectionsEndpoint = CollectionsEndpoint;
//# sourceMappingURL=collections.js.map