"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeywordsEndpoint = void 0;
const base_1 = require("./base");
const utils_1 = require("../utils");
const BASE_Keyword = '/keyword';
class KeywordsEndpoint extends base_1.BaseEndpoint {
    constructor(accessToken) {
        super(accessToken);
    }
    async details(keywordId) {
        return await this.api.get(`${BASE_Keyword}/${keywordId}`);
    }
    async belongingMovies(keywordId, options) {
        const params = (0, utils_1.parseOptions)(options);
        return await this.api.get(`${BASE_Keyword}/${keywordId}/movies?${params}`);
    }
}
exports.KeywordsEndpoint = KeywordsEndpoint;
//# sourceMappingURL=keywords.js.map